/// <reference types="node" />
import qs from "querystring";
/**
 * This `_internals` object is needed to support stubbing/spying of
 * certain functions in this file.
 * https://deno.land/manual@v1.28.3/basics/testing/mocking
 *
 * It's also useful to encapsulate functions that are polyfilled.
 */
export declare const _internals: {
    execute: typeof execute;
    getBaseUrl: typeof getBaseUrl;
};
/** Facilitates stubbing in tests, e.g. localhost as the base url */
declare function getBaseUrl(): string;
export declare function getSource(): string;
export declare function buildUrl(path: string, parameters: qs.ParsedUrlQueryInput): string;
export declare function execute(path: string, parameters: qs.ParsedUrlQueryInput, timeout: number): Promise<string>;
export {};
